McastServiceMBean (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes.membership

## Interface McastServiceMBean

- All Known Implementing Classes:
    McastService

      public interface McastServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `findMemberByName(String name)`
    `String` | `getAddress()`
    `String` | `getBind()`
    `byte[]` | `getDomain()`
    `long` | `getDropTime()`
    `long` | `getFrequency()`
    `boolean` | `getLocalLoopbackDisabled()`
    `String` | `getLocalMemberName()`
    `String[]` | `getMembersByName()`
    `int` | `getPort()`
    `Properties` | `getProperties()`
    `int` | `getRecoveryCounter()`
    `boolean` | `getRecoveryEnabled()`
    `long` | `getRecoverySleepTime()`
    `int` | `getSoTimeout()`
    `int` | `getTtl()`
    `boolean` | `hasMembers()`

- - ### Method Detail

    - #### getAddress

          String getAddress()

    - #### getPort

          int getPort()

    - #### getFrequency

          long getFrequency()

    - #### getDropTime

          long getDropTime()

    - #### getBind

          String getBind()

    - #### getTtl

          int getTtl()

    - #### getDomain

          byte[] getDomain()

    - #### getSoTimeout

          int getSoTimeout()

    - #### getRecoveryEnabled

          boolean getRecoveryEnabled()

    - #### getRecoveryCounter

          int getRecoveryCounter()

    - #### getRecoverySleepTime

          long getRecoverySleepTime()

    - #### getLocalLoopbackDisabled

          boolean getLocalLoopbackDisabled()

    - #### getLocalMemberName

          String getLocalMemberName()

    - #### getProperties

          Properties getProperties()

    - #### hasMembers

          boolean hasMembers()

    - #### getMembersByName

          String[] getMembersByName()

    - #### findMemberByName

          Member findMemberByName(String name)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.